API Reference
Products
9 endpoints· Auth: JWT or API Key
get
/api/v1/console/products JWT API KeyGet products
Query parameters
| CategoryId string (uuid) | — |
| Active boolean | — |
| Is86 boolean | — |
| IncludeDeleted boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/products" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/products JWT API KeyCreate products
Request body
application/json
{
"name": "string",
"categoryId": "00000000-0000-0000-0000-000000000000",
"sellingPrice": 0,
"externalId": "string",
"capacityType": "string",
"capacityUnits": 0,
"riceRole": "string",
"directRiceG": 0,
"brandId": "00000000-0000-0000-0000-000000000000"
}| name string | — |
| categoryId string (uuid) | — |
| sellingPrice integer (int64) | — |
| externalId string | — |
| capacityType string | — |
| capacityUnits integer (int32) | — |
| riceRole string | — |
| directRiceG integer (int32) | — |
| brandId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/products" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"categoryId": "00000000-0000-0000-0000-000000000000",
"sellingPrice": 0,
"externalId": "string",
"capacityType": "string",
"capacityUnits": 0,
"riceRole": "string",
"directRiceG": 0,
"brandId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/products/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/products/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
delete
/api/v1/console/products/{id} JWT API KeyDelete id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"reason": "string"
}| reason string | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/products/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
patch
/api/v1/console/products/{id}/availability JWT API KeyUpdate availability
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"is86": false
}| is86 boolean | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/products/{id}/availability" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"is86": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
patch
/api/v1/console/products/{id}/price JWT API KeyUpdate price
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"sellingPrice": 0,
"unitCost": 0,
"active": false
}| sellingPrice integer (int64) | — |
| unitCost number (double) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/products/{id}/price" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"sellingPrice": 0,
"unitCost": 0,
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/products/{id}/recipe JWT API KeyGet recipe
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/products/{id}/recipe" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/products/{id}/recipe/ingredients JWT API KeyCreate ingredients
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"qtyPerParentUnit": 0
}| inventoryItemId string (uuid) | — |
| qtyPerParentUnit number (double) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/products/{id}/recipe/ingredients" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"inventoryItemId": "00000000-0000-0000-0000-000000000000",
"qtyPerParentUnit": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/console/products/{id}/recipe/ingredients/{bomLineId} JWT API KeyDelete bomLineId
Path parameters
| idrequired string (uuid) | — |
| bomLineIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://staging-api.panoptesos.com/api/v1/console/products/{id}/recipe/ingredients/{bomLineId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu